#
# spec file for package python3-pytest-runner
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pytest-runner
Version:        2.9
Release:        3.1
Summary:        Simple powerful testing with Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/pytest-runner/
Source:         https://files.pythonhosted.org/packages/source/p/pytest-runner/pytest-runner-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
Requires:       python3-pytest
Requires:       python3-setuptools_scm
BuildArch:      noarch

%description
Invoke py.test as distutils command with dependency resolution.

%prep
%setup -q -n pytest-runner-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst LICENSE docs/*
%{python3_sitelib}/*

%changelog
* Fri Jul 15 2016 arun@gmx.de
- update to version 2.9:
  * Added Trove Classifier indicating this package is part of the
    pytest framework.
* Thu May 26 2016 arun@gmx.de
- specfile:
  * added LICENSE file to %%docs
- update to version 2.8:
  * #16: Added a license file, required for membership to pytest-dev.
  * Releases are now made automatically by pushing a tagged release
    that passes tests on Python 3.5.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sun Apr  3 2016 arun@gmx.de
- update to version 2.7.1:
  (no changelog available)
* Sun Feb 14 2016 arun@gmx.de
- specfile:
  * update copyright year
  * .txt -> .rst in %%doc section
- update to version 2.7:
  * Moved hosting to Github.
* Sun Oct 11 2015 arun@gmx.de
- update to version 2.6.2:
  * Add support for un-named, environment-specific extras.
* Thu Aug 13 2015 toddrme2178@gmail.com
- Update to version 2.6
  * Add support for un-named, environment-specific extras.
* Sat Aug  1 2015 arun@gmx.de
- update to version 2.6.1:
  * Combine named and unnamed extras handling.
  * Reference '..' in docs for scm root
- changes from version 2.6.0:
  * Add support for un-named, environment-specific extras.
* Wed Mar  4 2015 arun@gmx.de
- update to version 2.5.1:
  * Restore Python 2.6 compatibility.
* Tue Mar  3 2015 arun@gmx.de
- specfile:
  * added setuptools_scm requirement
  * removing hgtools requirement
  * updated files to packaged as docs:
    + README -> README.txt
    + added Changes.txt and docs/*
- update to version 2.5:
  * Moved hosting to pytest-dev
    <https://bitbucket.org/pytest-dev/pytest-runner>.
- changes from version 2.4:
  * Added documentation <https://pythonhosted.org/pytest-runner>.
  * Use setuptools_scm for version management and file discovery.
  * Updated internal packaging technique. README is now included
    in the package metadata.
* Tue Feb 17 2015 arun@gmx.de
- specfile:
  * update url
  * changed requirement from hgtools to hgdistver
- update to version 2.3:
  * Use hgdistver for version management and file discovery.
* Fri Jan  9 2015 arun@gmx.de
- update to version 2.2.1 (from git commit):
  * Should have been the function, no the string reference.
* Wed Jan  7 2015 arun@gmx.de
- specfile: update copyright year
- update to version 2.2:
  * Honor .eggs directory for transient downloads as introduced in Setuptools 7.0.
* Wed Dec 31 2014 arun@gmx.de
- specfile: updated copyright year
- update to version 2.1.2:
  * The preferred invocation is now the 'pytest' command.
* Fri Dec 13 2013 p.drouand@gmail.com
- Initial python3 release (version 2.0)
